PROJECT_NAME?=${CI_PROJECT_NAME}

before_script: login

login:
ifeq ($(shell test -e ./.npmrc && echo -n yes),yes)
	npm-login
endif

script: node_modules .m2

node_modules:
ifeq ($(shell test -e ./package-lock.json && echo -n yes),yes)
	npm ci
endif

.m2:
ifeq ($(shell test -e ./pom.xml && echo -n yes),yes)
	mvn dependency:go-offline
endif

after_script: ngcc project.env

ngcc:
ifeq ($(shell test -e $(shell npm bin)/ngcc && echo -n yes),yes)
	./node_modules/.bin/ngcc --properties es2015 browser module main --first-only --create-ivy-entry-points
endif

project.env:
	resolve-project-environment

.PHONY: before_script script node_modules .m2 after_script login ngcc
